<template>
  <el-dialog
    width="30%"
    title="打印密码"
    :visible.sync="innerVisible"
    append-to-body
    @close="$emit('update:currshowlist', false)"
    :show="currshowlist"
    :close-on-click-modal="false"
    class="secrest-form-dialog"
  >
    <div
      style="width: 100%;box-sizing: border-box;display:flex;margin-bottom:10px;"
    >
      <el-row>
        <el-col :span="6">密码：</el-col>
        <el-col :span="16">
          <el-input type="password" v-model="password" />
        </el-col>
      </el-row>
    </div>
    <div slot="footer" class="dialog-footer">
      <el-button @click="innerVisible = false">取 消</el-button>
      <el-button type="primary" v-thinclick="`dataFormSubmit`">确 定</el-button>
    </div>
  </el-dialog>
</template>
<script>
import { checkPassword } from '@/api/print/print'
import { mapGetters } from 'vuex'
export default {
  components: {},
  props: {
    currshowlist: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      innerVisible: false,
      password: null, // LZK123456
      idList: null
    }
  },
  computed: {
    ...mapGetters(['permissions', 'userInfo'])
  },
  methods: {
    init(idList) {
      this.idList = idList
    },
    dataFormSubmit() {
      if (this.password !== null && this.password !== '') {
        checkPassword({ password: this.password, idList: this.idList }).then(
          (res) => {
            if (res.data.data) {
              this.$emit('goOnListPrint')
            }
            this.innerVisible = false
          }
        )
      } else {
        this.$message.error('请输入密码')
      }
    }
  },
  watch: {
    currshowlist() {
      this.innerVisible = this.currshowlist
      if (this.currshowlist) {
        this.password = null
        this.$nextTick(() => {})
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.secrest-form-dialog .el-dialog__body {
  padding-bottom: 0px;
}

.secrest-form-dialog .el-dialog__body:after {
  content: '';
  clear: both;
  overflow: hidden;
  display: block;
  visibility: hidden;
}

.secrest-form-dialog .el-dialog__body .el-table__header th {
  padding-top: 0px;
}

.secrest-form-dialog .el-dialog__body .el-table__body-wrapper {
  height: 260px;
  overflow-y: auto;
}

.secrest-form-dialog .el-dialog__body .el-table::before {
  height: 0px;
}

/*
  字符串过长时，隐藏显示省略号
   */
.inline-el-hidden {
  display: block;
  width: 93%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  margin: 0 auto;
}
</style>
